# Queue ⇥

> **Effortless temporary bookmarks.**

[![Get Queue for Firefox](./images/mozilla-addons.png)](https://addons.mozilla.org/firefox/addon/holllo-queue)
[![Get Queue for Chrome](./images/chrome-web-store.png)](https://chrome.google.com/webstore/detail/queue/epnbikemcmienphlfmidkimpjnmohcbl)
[![Get Queue for Edge](./images/microsoft.png)](https://microsoftedge.microsoft.com/addons/detail/queue/aanjampfdpcnhoeglmfefmmegdbifaak)

![Latest Queue screenshot](./images/queue-version-0-3-0.png)

## Wiki

Want to find out more about Queue? Check out [the wiki](https://git.bauke.xyz/Holllo/queue/wiki).

## Installation

You can install Queue through the stores linked above, [manually from a file] (see [the Releases page] for ZIP files) or [from source](#development).

[manually from a file]: https://support.mozilla.org/en-US/kb/find-and-install-add-ons-add-features-to-firefox#w_how-do-i-find-and-install-add-ons
[the Releases page]: https://git.bauke.xyz/Holllo/queue/releases

## Development

To build Queue you will need [git](https://git-scm.com), [NodeJS](https://nodejs.org) and [pnpm](https://pnpm.io).

* Install the dependencies with `pnpm install`.
* Start a separate browser with `pnpm start`.
* Build the WebExtension for production with `pnpm build`.
* Test the code with `pnpm test`.

## License

Distributed under the [AGPL-3.0-or-later](https://spdx.org/licenses/AGPL-3.0-or-later.html) license, see [LICENSE](https://git.bauke.xyz/Holllo/queue/src/branch/main/LICENSE) for more information.
